--- a/ufraw_exiv2.cc	2015-06-16 05:58:38.000000000 +0200
+++ b/ufraw_exiv2.cc	2018-12-29 22:51:23.291894430 +0100
@@ -15,9 +15,7 @@
 #include "ufraw.h"
 
 #ifdef HAVE_EXIV2
-#include <exiv2/image.hpp>
-#include <exiv2/easyaccess.hpp>
-#include <exiv2/exif.hpp>
+#include <exiv2/exiv2.hpp>
 #include <sstream>
 #include <cassert>
 
@@ -67,7 +65,11 @@
         if (exifData.empty()) {
             std::string error(uf->filename);
             error += ": No Exif data found in the file";
+#if EXIV2_TEST_VERSION(0,27,0)
+            throw Exiv2::Error(Exiv2::kerErrorMessage, error);
+#else
             throw Exiv2::Error(1, error);
+#endif
         }
 
         /* List of tag names taken from exiv2's printSummary() in actions.cpp */
